%{?nodejs_find_provides_and_requires}

%global packagename fs.realpath
%global enable_tests 1

Name:		nodejs-fs-dot-realpath
Version:	1.0.0
Release:	1%{?dist}
Summary:	Use node's fs.realpath, but fall back to the JS implementation

License:	ISC
URL:		https://github.com/isaacs/fs.realpath
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
#
# Fix the syntax for tap to make the tests run cleanly
Patch0:		nodejs-fs-dot-realpath_fix-test-syntax.patch


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

%description
Use node's fs.realpath, but fall back to the JS implementation if the native
one fails


%prep
%setup -q -n package
# setup the tests
%autosetup -T -D -a 1 -n package -p1

%nodejs_fixdep tap

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Aug  3 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
